当前位置 主页 > 服务器问题 > win服务器问题汇总 > 最大化 缩小

    Linux下升级安装python3.8并配置pip及yum的教程

    栏目:win服务器问题汇总 时间:2020-01-04 01:07

    服务器的CentOS 7中自带的python版本是python-2.7.5,需要再安装一个 python-3.8.1

    一、查看版本

    安装前查看一下是否已经安装过python,我这里自带了python2.7.5版本,所以需要在不删除的情况下,在安装一个python3.8.1版本的,

    python -V

    二、安装Python3.8.1

    官网下载地址:https://www.python.org/downloads/source/

    # 解压
    tar -zxf Python-3.8.1.tgz
    # 安装依赖包
    yum install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gcc libffi-devel
    # 进入python目录
    cd Python-3.8.1
    # 编译
    ./configure --prefix=/usr/local/python3
    #安装
    make && make install

    将系统默认的python备份

    我这里之前自带的就是python2.6.5版本,所以我直接将名字改成了python2.6.5

    mv /usr/bin/python /usr/bin/python2.7.5

    创建新的软连接

    软连接就相当于windows下新建的快捷方式,方便在Linux下不需要先找到文件,就能直接使用命令

    快捷方式:Windows提供的一种快速启动程序、打开文件或文件夹的方法。它是应用程序的快速连接

    ln -s /usr/local/python3/bin/python3.8 /usr/bin/python
    ln -s /usr/local/python3/bin/python3.8 /usr/bin/python3

    查看版本,安装成功

    python -V

    三、修改yum配置

    升级python3.8以后,yum命令会不能运行了,所以需要修改下yum的对应的头

    将yum、urlgrabber-ext-down两个文件内的的 #!/usr/bin/python 改为 #!/usr/bin/python2.7 

    vi /usr/bin/yum
    vi /usr/libexec/urlgrabber-ext-down

    四、配置pip3

    安装完python3.8.1后使用pip install下载的插件都会自动下载到python2.7带的pip包里,这是因为pip的软连接是python2.7的,所以在这里先将之前python2.7版本的的pip修改成python3.8版本的

    备份2.7版本的软连接

    mv /usr/bin/pip /usr/bin/pip2.7.5

    配置pip3的软连接 ,pip3在python安装路径的 bin 目录下

    ln -s /usr/local/python3/bin/pip3 /usr/bin/pip
    ln -s /usr/local/python3/bin/pip3 /usr/bin/pip3

    查看版本

    pip -V

    pip3 -V

    总结

    以上所述是小编给大家介绍的Linux下升级安装python3.8并配置pip及yum的教程,希望对大家有所帮助,如果大家有任何疑问请给我留言,小编会及时回复大家的。在此也非常感谢大家对IIS7站长之家网站的支持!
    如果你觉得本文对你有帮助,欢迎转载,烦请注明出处,谢谢!

    下一篇:没有了